Skip to main content

Create Open Finance Enrollment

POST 

/open-finance/enrollments

Create a new Open Finance enrollment.

Request

Header Parameters

    x-include-replay-protection-schema string

    The replay-protection-schema allows the user to choose between 3 options:

    • If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
    • 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
    • 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
    • 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

Body

required
    client_redirect_url stringrequired

    Client redirect URL.

    participant_id stringrequired

    Open Finance participant id.

    logged_user_document stringrequired

    Client logged user document. In case of the user is a business entity, it is the document of the business entity representative.

    logged_business_entity_document string

    Client logged user document when the user is a business entity.

    permissions array[]required

    Enrollment permissions. PAYMENTS_INITIATE: Permission to initiate payments RECURRING_PAYMENTS_INITIATE: Permission to initiate recurring payments

    name string

    Enrollment name.

    logged_user_bank_ispb string

    client logged user bank ISPB.

    logged_user_branch_number string

    client logged user branch number.

    logged_user_bank_account_number string

    client logged user bank account number.

    logged_user_bank_account_type object

    client logged user bank account type.

    is_linked boolean

    Enrollment is linked to a optmized journey.

    link_id string

    Enrollment link id to a optmized journey. Required if is_linked is true.

Responses

The enrollment created successfully.

Schema
    id stringrequired

    Enrollment id.

    status stringrequired

    Possible values: [PENDING, ERROR, FAILED, AWAITING_DEVICE_RISK_SIGNALS, AWAITING_ACCOUNT_OWNER_VALIDATION, AWAITING_ENROLLMENT, AWAITING_DEVICE_REGISTRATION, PENDING_REVOKE, AUTHORIZED, REVOKED, REJECTED]

    Enrollment status.

    expiration_date_time date-time

    Enrollment expiration date time.

    created_at date-timerequired

    Enrollment created at.

Loading...